[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# ELayoutException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when a loop is detected when adjusting the size for controls.

## Declaration

Source position: controls.pp line 990

`type ELayoutException = class(Exception)`

## Inheritance

`ELayoutException` |  | Exception raised when a loop is detected when adjusting the size for controls.
`Exception`
?
`TObject`

## Description

ELayoutException is an Exception descendant that implements the exception raised when a loop is detected when adjusting the size for controls, or when an invalid value is assigned to the control width or height.

## See also

TControl.AdjustSize |  | Smart way to DoAutoSize.
TControl.EnableAutoSizing |  | Enables automatic sizing for the control.
TControl.ChangeBounds |  | Sets the bounds (left, top, height, width) and optionally the BaseBounds of the control.
TControl.Width |  | The horizontal size for the control.
TControl.Height |  | The vertical size for the control.